Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.graph
Class GraphEvents

    java.lang.Object
      com.hp.hpl.jena.graph.GraphEvents

    public class GraphEvents

extends java.lang.Object

GraphEvents is the base class for Jena general graph events. Each graph event has a title and some content.

Author:
  kers

Field Summary
`static GraphEvents` | `finishRead`
`static GraphEvents` | `removeAll`
`static GraphEvents` | `startRead`

Constructor Summary
`GraphEvents(java.lang.String title, java.lang.Object content)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.Object` | `getContent()`
`java.lang.Object` | `getTitle()`
`static GraphEvents` | `remove(Node s, Node p, Node o)`
`boolean` | `same(GraphEvents o)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### removeAll

    public static final GraphEvents removeAll

### startRead

    public static final GraphEvents startRead

### finishRead

    public static final GraphEvents finishRead

Constructor Detail

### GraphEvents

    public GraphEvents(java.lang.String title,
                       java.lang.Object content)

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### same

    public boolean same(GraphEvents o)

### remove

    public static GraphEvents remove(Node s,
                                     Node p,
                                     Node o)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getContent

    public java.lang.Object getContent()

### getTitle

    public java.lang.Object getTitle()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP